import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiResponsiveGridLayoutCommandHandler, UiResponsiveGridLayoutConfig } from "../generated/UiResponsiveGridLayoutConfig";
import { UiResponsiveGridLayoutPolicyConfig } from "../generated/UiResponsiveGridLayoutPolicyConfig";
export declare class UiResponsiveGridLayout extends UiComponent<UiResponsiveGridLayoutConfig> implements UiResponsiveGridLayoutCommandHandler {
    private $main;
    private $gridLayout;
    private layoutsFromSmallToLargeMinApplicableWidth;
    private currentLayout;
    constructor(config: UiResponsiveGridLayoutConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    updateLayoutPolicies(layoutPolicies: UiResponsiveGridLayoutPolicyConfig[]): void;
    onResize(): void;
    private updateLayout;
    private resizeChildren;
    private getApplicableLayout;
    setFillHeight(fillHeight: boolean): void;
    protected onAttachedToDom(): void;
}
